package com.tmax.openframe.variable.group;

import ch.obermuhlner.math.big.BigDecimalMath;
import java.math.*;
import java.util.*;
import lombok.*;
import org.apache.commons.lang3.StringUtils;

/** 
 * <p>This source code was generated by COBOL to JAVA migrator</p>
 */
public @AllArgsConstructor @NoArgsConstructor @Builder(builderClassName = "builder") class TEMPCOB_OUT02 {
    public @Getter @Builder.Default String SORTOUT_KEY = StringUtils.repeat(
            ' ', 7);
    public @Getter @Builder.Default String SORTOUT_DAT = StringUtils.repeat(
            ' ', 73);

    public void setSORTOUT_KEY(String source) {
        SORTOUT_KEY = StringUtils.truncate(StringUtils.rightPad(source, 7), 7);
    }

    public void setSORTOUT_DAT(String source) {
        SORTOUT_DAT = StringUtils
                .truncate(StringUtils.rightPad(source, 73), 73);
    }

    public void set(String source) {
        SORTOUT_KEY = source.substring(0, 7);
        SORTOUT_DAT = source.substring(7, 80);
    }

    @Override
    public String toString() {
        return getSORTOUT_KEY() + getSORTOUT_DAT();
    }
}
